GET
/v1/mgmt/oauth/settingsAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Get the project's general OAuth settings, using a valid management key.
curl -X GET "https://api.descope.com/v1/mgmt/oauth/settings"{ "enabled": true}export interface Response {enabled?: boolean} Was this helpful?
Get OAuth provider GET
Get a single OAuth provider by id, using a valid management key.
Get well-known settings GET
Get the project's customization of its OIDC discovery documents (the project document and the shared inbound apps document), using a valid management key. Returns the defaults when nothing was saved.